2016-07-19 55 views
6

VBoxManage startvm mostra il seguente messaggio:iniziare vm fallito dopo l'aggiornamento da VirtualBox 5.0.24 a 5.1

VBoxManage: error: The virtual machine 'VM02' has terminated unexpectedly during startup with exit code 1 (0x1)
VBoxManage: error: Details: code NS_ERROR_FAILURE (0x80004005), component MachineWrap, interface IMachine

/var/log/syslog mostra c'è una mancata corrispondenza di versione, ma non so dove si trova :

kernel: [45470.001207] SUP_IOCTL_COOKIE: Version mismatch. Requested: 0x260000 Min: 0x260000 Current: 0x240000

senza testa -h mostra questo:

VBoxHeadless: Error -1912 in supR3HardenedMainInitRuntime!

VBoxHeadless: RTR3InitEx failed with rc=-1912

vm funziona bene dopo la rimozione virtualbox 5.1 e reinstallato 5.0.24

ecco come aggiorno a 5,1

sudo apt update 
sudo apt autoremove virtualbox-5.0 
sudo apt install virtualbox-5.1 
sudo vboxmanage extpack install Oracle_VM_VirtualBox_Extension_Pack-5.1.0-108711.vbox-extpack --replace 

c'è qualcosa che non va quando aggiorno virtualbox?

Cosa posso fare per farlo funzionare su 5.1? OS è ubuntu 16.04 btw

risposta

0

bene, finalmente ho fatto, provato a modificare la risposta di Michael, ma rifiutai.
commento:

soluzione ubuntu:

versione non corrispondente è causato dai vecchi moduli, per ripulirlo:

# stop all vbox services 
sudo service vboxblahblah stop 
# check all vbox is not running 
ps -e | grep -i vbox 
# remove 5.0 or maybe 5.1 
sudo apt remove virtualbox-5.0 
cd/
# find all vbox files to delete 
sudo find -iname "vbox" 2>/dev/null 

rimuovere tutti i binari VBOX e sorgenti, quindi riavviare l'installazione virtualbox- 5.1

6

Ho avuto un problema simile, dopo un po 'ho capito che c'è un problema nella rimozione dei vecchi moduli. Dopo la disinstallazione, il riavvio e la reinstallazione sono stati eseguiti:

sudo rm /usr/lib/modules/4.5.7-202.fc23.x86_64/extra/vbox* 
sudo rmmod vboxpci 
sudo rmmod vboxnetadp 
sudo rmmod vboxnetflt 
sudo rmmod vboxdrv 
sudo vboxconfig 

Quindi ha funzionato.

Spero che questo aiuti

+0

non riesco a capirlo, perché rmmod dopo l'installazione? disinstallare 5.1 riavvio e installare 5.1, quindi seguire il tuo approccio non ha funzionato, sto cercando ora di ripristinare 5.0. oh, non c'è questa cartella btw: /usr/lib/modules/4.5.7-202.fc23.x86_64/ – user2986683

+0

Perché la reinstallazione del riavvio della disinstallazione non ha funzionato. Ho pensato che ci potrebbe essere un problema nella rimozione dei vecchi moduli, quindi nel caso, mi sono sbarazzato di loro. – michael

+0

Quella cartella è dove i moduli del kernel sono sulla mia macchina (Fedora 23), saranno da qualche altra parte sulla tua. – michael

0

come ho fatto correzione su Ubuntu 14.04 server x64 a:

cerco di fare tutto sopra, niente aiuto.

  1. arresto primi tutti i servizi VBOX (vboxautostart, vboxdrv vboxbaloon e vboxweb)
  2. attesa per 10-15 secondi e controllare è Esiste un vbox
  3. sudo apt-get remove virtualbox-5.*
  4. provare prima con il comando: sudo update-grub
  5. riavviare la macchina e provare a installare virtualbox-5.*
  6. Se non funziona di interrompere tutti i servizi di vbox, rimuovere virtualbox-5.*
  7. sudo apt-get autoremove (tutti i moduli del kernel per durare uno, ho avuto 3 versioni e lo faccio due volte apt-get autoremove)
  8. sudo update-grub
  9. reboot
  10. installare virtualbox-5.1 e dopo che si sta lavorando
24

Ho avuto lo stesso problema su Debian dove ho installato per errore il pacchetto Debian virtualbox-dkms insieme alla versione Oracle di virtualbox-5.1 che naturalmente erano versioni differenti.

Verificare tramite dpkg -l | grep virtualbox, se si dispone di qualcosa come il seguente, si ha la stessa situazione.

ii virtualbox-5.1 5.1.8-111374~Debian~jessie amd64 Oracle VM VirtualBox 
ii virtualbox-dkms 5.1.6-dfsg-2 all   x86 virtualization solution - kernel module sources for dkms 

`` `

è stato risolto da:

  1. sudo rmmod vboxpci vboxnetadp vboxnetflt vboxdrv
  2. sudo apt-get purge virtualbox-dkms
  3. sudo /sbin/vboxconfig.
+0

Ho riscontrato un problema simile dopo l'aggiornamento da VirtualBox 5.1 a 5.2. La soluzione qui proposta ha funzionato anche per me. –

1

Provato tutte le risposte sopra, nessuna ha funzionato. Il problema era che la virtualbox di debian era stata disinstallata correttamente. Di seguito ha lavorato:

  1. Chiudi virtualbox
  2. sudo apt-get remove virtualbox-5.1
  3. sudo apt-get install virtualbox
  4. sudo apt-get purge virtualbox virtualbox-qt virtualbox-dkms
  5. sudo apt-get install virtualbox-5.1
  6. sudo vboxconfig
+0

perdi le tue macchine virtuali facendo questo? – bph

+1

Nessun VM è stato salvato nella directory dell'utente e lasciato inalterato. Non fa mai male fare un backup però. – frmdstryr

0

Prova questo o ne sudo /sbin/vboxconfig. Per me funziona.

Problemi correlati